/***************************************************************\
*   tkdbase.h							*
*   Header file for..						*
*   Encapsulated database for track representations		*
*   A new layer on an old problem.. 				*
*   .. rather like the old lisp Haaseproj			*
*   dpwe 1993apr15						*
\***************************************************************/

#include "tracks.h"	/* includes llists.h and peaks.h too */

#ifndef _TKDB_DEFINED_	/* opaque type */
typedef void TKDB;
#define _TKDB_DEFINED_
#endif /* !_TKDB_DEFINED_ */

TKDB   *tkdbLoad(char *filename);
	/* load a track file into a database */
void   tkdbFree(TKDB *tkdb);
TKLIST *tkdbGetIntersect(TKDB *tkdb, double tMin, double tMax,
			 double fMin, double fMax);
	/* return tracks from the database with support overlapping 
	   the specified time-frequency rectangle */
