/***************************************************************\
*	gendsp.h						*
*	random (un)useful routines for the library		*
*	20feb91 dpwe						*
\***************************************************************/

/*** yukky ANSI bodge (please tell me the right way!) ****/
#ifndef FLOATARG
#ifdef __STDC__
#define FLOATARG double		/* you can't have floats in prototypes! */
#else
#define FLOATARG double
#endif /* def __STDC__ */
#endif /* ndef FLOATARG */

#ifdef __STDC__
long intLog(long n);	/* an integer algorithm for log scale conversion */
    /* intLog(32767) = 0xFF;       intLog(  128) = 0x00;  */
int NextPrime(int n);	/* returns smallest prime bigger than n */
int TestPrime(int m);	/* test m as a prime number */
long dumbGCF(long n1, long n2);	/* return largest cm fctr by prime fctrsn */
long GCF(long n1, long n2);	/* return largest common factor of n1 & n2 */
void TrapFPEs(void);		/* set NaN exceptions to dump core */
float InnerProd(float *ptr1, int stp1, float *ptr2, int stp2, long len);
void Convo(float *src,long sinc,long slen, float *kern, long kinc, long klen);
void Overlay(float *ptr1, int stp1, float *ptr2, int stp2, long len, 
	     FLOATARG coef);
double maskPhs(FLOATARG phs);

#else
long intLog();
int NextPrime();
int TestPrime();
long dumbGCF();
long GCF();
float InnerProd();
void Convo();
void Overlay();
double maskPhs();

#endif
