/*******************************************************************\
*   play.h														    *
*	Uniform abstracted interface to play hardware					*
*	Works on DEC/lofi, SUN, mac, SGI								*
*   07aug90 dpwe (was lofiplay.h)								    *
\*******************************************************************/

#include <dpwelib.h>	/* for PARG */

int play_set PARG((int chans, int dsize, double srate, int scale));
	/* initialize play hardware, return 1 for success, 0 for failure */
void play_rls(void);
	/* release the hardware */
void play_on(short *buf, long siz);	
	/* Output some frames.  siz = number of frames, chans from _set call */
long play_bufremains(void);	/* return number of unplayed sample frames */
