/***************************************************************\
*	sndfutil.h						*
*	Headers for some handy extra soundfile utilities	*
*	02dec90	dpwe						*
\***************************************************************/

#include "dpwelib.h"
#include "sndf.h"

#define CHARMAX  	127
#define	CHARBITS	8
#define SHORTMAX 	32767
#define SHORTBITS 	16
#define LONGMAX 	2147483647
#define LONGBITS	32

void ConvertSampleBlockFormat PARG((char *inptr, char *outptr, 
				    int infmt, int outfmt, long samps));
int ConvertSoundFormat PARG((SFSTRUCT **psnd, int newFmt));

#define MAXCHANS 8	/* maximum number of channels Conv will believe */

void ConvertChannels PARG((short *inBuf, short *outBuf, int inch, int ouch, 
			   long len));	/* # SAMPLE FRAMES to transfer */
void ConvertFlChans PARG((float *inBuf, float *outBuf, int inch, int ouch, 
			  long len));	/* # SAMPLE FRAMES to transfer */

void PrintSNDFinfo PARG((SFSTRUCT *theSound, char *name, char *tag, 
			 FILE *stream));
int PrintableStr PARG((char *s, int max));
