/***************************************************************\
*	trkmaint.h		  				*
*   Prototypes for trkmaint.c					*
*   Maintain track lists by trimming and adding			*
*   Based on routines developed within dspB, for thesis		*
*   dpwe 08jul91						*
\***************************************************************/

#include <dpwelib.h>
#include "peaks.h"
#include "tracks.h"

float FrqOfPeakMetric PARG((NODE *node));	/* metric for sort functions */
float FrqOfTRKTailMetric PARG((NODE *node));	/* metric for sort functions */
void ListTrackPh PARG((PKLIST track, char *title)); 
    /* print out a track with BOTH sets of phases */
void ProcessCompleteTrack PARG((TRACK *track));
void AdvanceOrTrim PARG((TKLIST *pcurTrax));
void TieUpLeftovers PARG((TKLIST *pTails));	
    /* We have reached the end of the file: post-process live tracks */
LIST *AddNewPeaks PARG((TKLIST *pTails, LIST *pTrax, 
			PKLIST strayPeakNodes));





