/*******************************************************************\
*   db.grutl.h							    *
*   graphic utility function headers for DSPbench		    *
*   13apr90 dpwe						    *
*   1992jul05	Added in fns to draw lines from float arrays	    *
\*******************************************************************/

#include "DSPbench.h"

#define CHARARG int
/* chars promote to ints for prototypes */

extern ShowIcon PARG((Rect r, Icon iHan));
extern InfoString PARG((Rect r, int x, int y, char *s, int u));
extern WriteString PARG((int x, int y, char *s));
extern ABox PARG((Rect rec));
extern OutlineR PARG((Rect r));
extern GutterR PARG((Rect r, int sides, int lw, int rw, int th, int bh));
extern dbWWriteIn PARG((Rect *prec, char *str, int  ali));
extern double NearestRoundNum PARG((FLOATARG num, double *sub));
extern int DecPoints PARG((FLOATARG step));
extern ReplaceOrAppend PARG((char *s, CHARARG c1, CHARARG c2));
extern void AddTimeLine PARG((Rect *pr, FLOATARG t1, FLOATARG t2, 
			 int vnh, int sns, int und, int tix[], int *pntx));
extern void AddLogTimeLine PARG((Rect *pr, FLOATARG t1, FLOATARG t2, 
			    int vnh, int sns, int und, int tix[], int *pntx)); 
extern myftoa PARG((FLOATARG f, char *s, int dp));
extern FloatToString PARG((FLOATARG f, char *s, int dp));
extern void LegendLine PARG((Rect *prec, int marker, int colour, char *text));
extern void ShowFloats PARG((Rect *prec, float *data, int skip, long size, 
			     FLOATARG Xmin, FLOATARG Xmax, 
			     FLOATARG Ymin, FLOATARG Ymax, int colour));
extern void ShowFloatsAsLine PARG((Rect *prec, float *data, long size, 
				   FLOATARG Xmin, FLOATARG Xmax, 
				   FLOATARG Ymin, FLOATARG Ymax, 
				   int marker, int colour));



