/***************************************************************\
* macalike.h							*
* Header file for macintosh porting to X			*
* dpwe 30apr90							*
\***************************************************************/

/* define dimensions of little markers */
#define MRKRHEIGHT	6
#define MRKRWIDTH	6
#define MRKRLEFT	(-MRKRWIDTH/2)
#define MRKRTOP 	(-MRKRHEIGHT/2)
#define MRKRRIGHT	(MRKRLEFT+MRKRWIDTH)
#define MRKRBOTTOM	(MRKRTOP+MRKRHEIGHT)

/* macros */
/* rectangle element access */
#define RTOP(r) 	((r)->top)
#define RBOTTOM(r)	((r)->bottom)
#define RLEFT(r)	((r)->left)
#define RRIGHT(r)	((r)->right)
#define RX(r)		((r)->left)
#define RY(r)		((r)->top)
#define RWIDTH(r)	((r)->right - (r)->left)
#define RHEIGHT(r)	((r)->bottom - (r)->top)

#ifndef THINK_C

#include <X11/Xlib.h>

#define ICONWIDTH  16	  /* 32 on mac */
#define ICONHEIGHT 16	  /* 32 on mac */

typedef struct
    {
    short left, top, right, bottom;
    } Rect;	/* XSegment compatible */
typedef struct
    {
    short h,v;
    } Point;	/* XPoint compatible */
typedef unsigned char Byte;
typedef Byte   **Handle;
typedef Window   WindowPtr;
typedef char     Str255[256];
typedef XEvent   EventRecord;
typedef int      PenState;	/* dummy ! */
typedef Handle   RgnHandle;     /* dummy ? */
typedef Pixmap   Icon;
typedef Pixmap	 PIXMAP;

enum{
    white,
    ltGray,
    gray,
    dkGray,
    black
    }; /* for pattern filling */

/* prototypes */
#ifdef __STDC__
Handle NewHandle(long);
PIXMAP	pxmNew(int w, int h);
#else  /* !__STDC__ */
Handle NewHandle();
PIXMAP  pxmNew();
#endif /* __SDTC__ */

#else	/* def THINK_C */

#include <QuickDraw.h>
/* #include <MacTypes.h> */
/* #include <FontMgr.h> */
/* #include <WindowMgr.h> */
/* #include <MenuMgr.h> */
#include <TextEdit.h>
/* #include <DialogMgr.h> */
/* #include <EventMgr.h> */
/* #include <DeskMgr.h> */
/* #include <FileMgr.h> */
/* #include <ResourceMgr.h> */
/* #include <MemoryMgr.h> */
/* #include <ToolboxUtil.h> */
/* #include <StdFilePkg.h> */
/* #include <ControlMgr.h> */

#define ICONWIDTH 32
#define ICONHEIGHT 32

typedef	Handle	Icon;
typedef Handle  PIXMAP;		/* well what is it then? */

PIXMAP	pxmNew(int w, int h);

#endif  /* THINK_C */
