/*******************************************************\
*	test.c						*
*	Test code for new llists			*
*	dpwe 16jan91					*
\*******************************************************/

#include <stdio.h>
#include "llists.h"

/* Let's try and simulate the sound division process */

void print_c(NODE *data, int type)
    {
    if(type == T_LIST)
	{
	printf("(-");
	map(data, print_c);
	printf(")-");
	}
    else if(type == T_CHAR)
	printf("%c-",(char)data);
    }

LIST string_to_list(char *s)
    {
    int 	n;
    LIST	root = NULL;

    n = strlen(s);
    while(n--)
	root = add_before(root, (LIST)s[n], T_CHAR);
    return(root);
    }

float char_metric(NODE *node)
    {
    int t;

    if( (t = cartype(node)) != T_CHAR)
	{  fprintf(stderr,"char_metric: cannot do value for type %d\n", t);
	   abort();  }
    return( (float)(char)car(node) );
    }

main()
    {
    LIST root, node;
    char *str,*ps,c;

    root = new_node(NULL, (LIST)'.', T_CHAR);
    str  = " here is a string ";
    root = string_to_list("first");

    node = find_el(root, (LIST)'r', T_CHAR);
    free_next(node);
    insert_after(node, string_to_list("aha!"));
    add_after(node, string_to_list("oh oh"), T_LIST);
    map(root, print_c);
    printf("\n");

    root = string_to_list("this is a string");
    node = copy_top(root);
    node = stupid_sort(node, char_metric);
    map(root, print_c);	printf("\n");
    map(node, print_c);	printf("\n");
    }

